Bug 140275 - Phantom network devices created by system-config-network
Phantom network devices created by system-config-network
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 18:40 EST by J. Erik Hemdal
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 19:43:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot for the defect (32.22 KB, image/png)
2004-11-22 20:35 EST, J. Erik Hemdal
no flags Details
Screenshot showing the Hardware tab. (25.68 KB, image/png)
2004-11-22 20:57 EST, J. Erik Hemdal
no flags Details

  None (edit)
Description J. Erik Hemdal 2004-11-21 18:40:09 EST
Description of problem:

Phantom network devices created when using system-config-network to
change network setup.  Computer has a hardwired GigE port (eth0) and a
n internal wireless card which does not have a Fedora driver.  I am
not using ndiswrapper.

Version-Release number of selected component (if applicable):
1.3.17

How reproducible:

Every time I use it.

Steps to Reproduce:
1.  Delete all network devices by selecting and pressing Delete
button.  Have only one physical connection available (unplug or turn
off others).

2. Press New and create a new network device for eth0 by following the
prompts.  Save file as prompted.

3. 
  
Actual results:

Six network devices appear in the display for system-config-network.
Expected results:


Additional info:

eth0 is a Broadcom NetXreme BCM5702X Gigabit Ethernet adaptor.
Also inside, but not configured is a Broadcom 43906 802.11a/b/g
multimode wireless adaptor.
Comment 1 Harald Hoyer 2004-11-22 05:55:12 EST
in the "Devices" tab or in the "Hardware" tab??
Screenshot?
Comment 2 J. Erik Hemdal 2004-11-22 19:57:56 EST
This is in the Devices list, as I recall.  Whatever is the at start 
display in system-config-network.

I tried to submit a screenshot after submitting the defect report, 
but Bugzilla would not accept it.  When I'm back at my Fedora system, 
I will try again.
Comment 3 J. Erik Hemdal 2004-11-22 20:35:48 EST
Created attachment 107276 [details]
Screenshot for the defect
Comment 4 J. Erik Hemdal 2004-11-22 20:57:49 EST
Created attachment 107278 [details]
Screenshot showing the Hardware tab.

Here is a screenshot showing the hardware tab for my system.  Erik
Comment 5 Harald Hoyer 2004-11-23 06:41:29 EST
To get a clean set manually, could you please do as root:

# rm -r /etc/sysconfig/networking
# rm /etc/sysconfig/network-scripts/ifcfg-*
Comment 6 J. Erik Hemdal 2004-11-24 21:56:28 EST
Executing these commands effectively cleaned out the display in
system-config-network.  I will reboot and try to recover my network
configuration and see if it all comes back properly.
Comment 7 J. Erik Hemdal 2004-11-24 22:17:36 EST
Completed the reboot.  Shutdown and reboot yielded errors for missing
devices (not unexpectedly).  The loopback device was restored silently
and my wireless card could be recovered, after the usual tinkering
with system-config-network, as eth0 this time.  The GigE interface is
not found, although it might be if it were actually connected (not
near a port tonight).

The final test can come Monday, when I will need to reconfigure a
device.  At that point I'll know if the phantoms come back.  
Comment 8 Matthew Miller 2005-04-26 11:00:50 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 9 J. Erik Hemdal 2005-04-26 19:43:10 EDT
Appears to work in FC3.  JEH

Note You need to log in before you can comment on or make changes to this bug.